Subject: bug#23246: closed (Re: bug#23246: 25.0.92; Local face-remapping-alist doesn't affect tooltips)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Apr 2016 15:42:02 +0000

Your bug report

#23246: 25.0.92; Local face-remapping-alist doesn't affect tooltips

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23246: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23246
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23246: 25.0.92; Local face-remapping-alist doesn't affect tooltips
From: Eli Zaretskii <[email-masked]>
To: Artur Malabarba <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Apr 2016 18:40:49 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Artur Malabarba <[email-masked]>
> Date: Mon, 11 Apr 2016 03:15:20 +0000
> Cc: [email-masked]
> 
>  I think you can achieve that by putting your own hook function on the
>  tooltip-functions list.
> 
>  Let me know if there's anything else to do about this bug report.
> 
> No, I think we can close this. Thanks for the help. 

Done.

> And thanks to martin too. `x-show-tip' just might work.

You mean, tooltip-functions doesn't?

Subject: 25.0.92; Local face-remapping-alist doesn't affect tooltips
From: Artur Malabarba <[email-masked]>
To: [email-masked]
Date: Fri, 08 Apr 2016 16:22:11 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

1. Start emacs -q

2. Create a buffer in fundamental-mode and type some text.

3. Evaluate this:

    (setq x-gtk-use-system-tooltips nil)
    (add-text-properties (point-min) (point-max) '(help-echo "OKOK"))
    (face-remap-add-relative 'tooltip '((:foreground "blue")))

4. Tooltips displayed are NOT blue.

5. If, instead, I add an entry to face-remapping-alist without making it
buffer-local, the tooltip does indeed display blue.